// ***********************************************************************
//
// Test1 -- An example test : confirms that the set is initially of size 0
//
// ***********************************************************************
// Computer Science 102: Data Structures
// New York University, Fall 2013,
//
// Lecturers: Eric Koskinen and Daniel Schwartz-Narbonne
//
// ***********************************************************************

public class Test5 extends TestHarness {

    public Test5(String s) { super(s); }

    public boolean test() { 
	Map<Integer, Integer> m = new HashTable<Integer,Integer>
	    (100, new GenericHasher<Integer>());

	try {
	    //Check what happens if we try to get a value from an empty set
	    Boolean test = m.remove(null);
	    //The result should be null
	    return false;
	} catch (Exception HashTableException){
	    //if we catch an exception, something went wrong
	    return true;
	}
    }
}
